Subject: Re: fetchmail problem with latest cygwin-1.5.6-1
From: "Dr. Volker Zell" <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jan 2004 15:25:20 +0100

Hi

Somehow the message part of the mail got stripped of. See below for...

Hi
Sending this mail now for the third time. It seems the mailer at
cygwin.com doesn't accept mails > 100000 bytes. My cygcheck output
happens to be bigger than that. So I'm attaching it as .bz2
Sorry for the inconvinience.

     Christopher> On Mon, Jan 19, 2004 at 08:00:54PM +0100, Dr. Volker 
Zell wrote:
     >> fetchmail doesn't work with the latest cygwin-1.5.6-1. See below:

     Christopher> Yeah.  Volker, remember how I was praising you earlier 
because you always
     Christopher> had nicely researched and well-defined error reports?

     Christopher> You've been slipping.

Sorry, I was in a hurry leaving the office.

     Christopher> 1) cygcheck output is not optional.

See attachement...

     Christopher> 2) fetchmail is a highly configurable program.  Unless 
you are saying that things
     Christopher> just don't work out of the box, there's not much 
chance that anyone will be able
     Christopher> to help without knowing more details about your 
configuration.

Now I see this:

fetchmail (and also sh.exe and procmail.exe) are failing with a
stackdump file directly under my D:\ drive

sh.exe.stackdump:
Exception: STATUS_ACCESS_VIOLATION at eip=6100256C
eax=61671784 ebx=00000003 ecx=61670000 edx=58494E55 esi=61671784 
edi=00000000
ebp=0022EBB8 esp=0022EBA0 program=D:\bin\sh.exe
cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0022EBB8  6100256C  (61670000, 00000003, FFFFFFFF, 6167018C)
0022EBD8  61090F2F  (00000001, 004149F0, 0022EBF8, 6104E413)
0022EBF8  6101F0FB  (6167018C, 00000060, 00000400, 00000000)
0022EC38  6104E6E0  (004149A8, 0A042588, 61671B91, FFFFFFFF)
0022EDC8  61086751  (004149A8, 00000000, 00000000, 0022EE00)
0022EDE8  00401DEF  (004149A8, 00000000, 0022EE08, 00410008)
0022EE18  00401C73  (6167BC3C, 6167BC84, 00006873, 00000000)
0022EF40  00408808  (00000003, 6167BC84, 0A041318, 0022EF98)
0022EF80  61005D05  (0022EF98, 77F98191, 7FFDE000, 7FFDE000)
0022FF90  61005DF8  (00000000, 00000000, 00000000, 00000000)
End of stack trace

fetchmail.exe.stackdump:
Exception: STATUS_ACCESS_VIOLATION at eip=6100256C
eax=61671784 ebx=00000002 ecx=61670000 edx=58494E55 esi=61671784 
edi=0A04C070
ebp=0022A218 esp=0022A200 program=D:\bin\fetchmail.exe
cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023

procmail.exe.stackdump:
Exception: STATUS_ACCESS_VIOLATION at eip=6101F25E
eax=58494E55 ebx=00000100 ecx=6110B0E0 edx=61671784 esi=6167018C 
edi=616788B4
ebp=0022EF40 esp=0022EF18 program=D:\bin\procmail.exe
cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0022EF40  6101F25E  (6167018C, 000000A2, 0022EF84, 0022EF98)
0022EF80  61005881  (0022EF98, 0022F130, 77F98191, 77F92A98)
0022FF90  61005DF8  (00000000, 00000000, 00000000, 00000000)
End of stack trace

My /var/log/fetchmail.log file shows:

fetchmail: skipping message 
[email-masked]:231 not flushed
fetchmail: skipping message 
[email-masked]:232 not flushed
fetchmail: skipping message 
[email-masked]:233 not flushed
fetchmail: skipping message 
[email-masked]:234 not flushed
fetchmail: skipping message 
[email-masked]:235 not flushed
fetchmail: reading message 
[email-masked]:236 of 240 (3156 header 
octets) fetchmail:  (1184 body octets) fetchmail: MDA returned nonzero 
status 128
fetchmail:  not flushed
fetchmail: reading message 
[email-masked]:237 of 240 (3504 header 
octets)     172 [main] fetchmail 296 fhandler_base::dup: dup(/dev/null) 
failed, handle 1DC, Win32 error 6

And here is the contents of my config files relative to my
homedirectory:

~/.fetchmailrc:
===============
# Configuration created Tue Jul 17 16:08:20 2001 by fetchmailconf
# Look for mail every 5 minutes
set daemon 300
set logfile /var/log/fetchmail.log
set postmaster "vzell"
set invisible
set no bouncemail
set no spambounce
set properties ""
poll rgmemeaimap.oraclecorp.com with proto IMAP
        user 'Dr.Volker.Zell' there is 'vzell' here
keep
mda "/usr/bin/procmail -d %T"

~/.procmailrc
=============
# Directory for storing procmail configuration and log files
# You can name this environment variable anything you like
# or, if you prefer, don't set it (but then don't refer to it!)
PMDIR=$HOME/Procmail

# Put ## before LOGFILE if you want no logging (not recommended)
LOGFILE=/var/log/procmail.log

# To insert a blank line between each message's log entry,
# uncomment next two lines (this is helpful for debugging)
LOG="
"

# Set to yes when debugging
VERBOSE=no

MAILDIR=$HOME/imap       # Make sure this directory exists!

INCLUDERC=$PMDIR/rc.testing

~/$PMDIR/rc.testing:
=================
#   Your incoming messages are stored here, filtered by procmail

SPOOL      = $HOME/imap

#   Backup storage
#
#   - This could be directory too. In that case you could use
#     cron job to expire old messages at regular intervals
#   - For once a day expiration, see procmail module list
#     and pm-jacron.rc

BUP_SPOOL  = $SPOOL/junk.bup.spool

:0 c:
$BUP_SPOOL

##########################################################
# Oracle
##########################################################

:0:
* ^From:[email-masked]
oracle

and a couple of similar rules....

     Christopher> cgf

Ciao
   Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/